LibreOffice LibreOffice 6.2 SDK API Reference

Public Member Functions | List of all members
XTitleChangeBroadcaster Interface Reference

Allows to register for title changed events. More...

`import"XTitleChangeBroadcaster.idl";`

Inheritance diagram for XTitleChangeBroadcaster:

## Public Member Functions
void | addTitleChangeListener ([in] com::sun::star::frame::XTitleChangeListener xListener)
| Add a listener. More...
void | removeTitleChangeListener ([in] com::sun::star::frame::XTitleChangeListener xListener)
| Remove a listener. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Allows to register for title changed events.

## Member Function Documentation

## ◆ addTitleChangeListener()

void addTitleChangeListener | ( | [in] com::sun::star::frame::XTitleChangeListener | xListener | ) |

Add a listener.

## ◆ removeTitleChangeListener()

void removeTitleChangeListener | ( | [in] com::sun::star::frame::XTitleChangeListener | xListener | ) |

Remove a listener.

The documentation for this interface was generated from the following file:

- com/sun/star/frame/XTitleChangeBroadcaster.idl